Antom, leading provider of tailored payment solutions

createTransfer

POST /v1/aba/funds/createTransfer

Use this interface to transfer funds between Antom business accounts.

The transfer process is asynchronous. After calling this API, Antom returns an immediate response indicating the transfer is being processed. The final transfer result will be sent to you via the notifyTransfer API. You can also call the inquiryTransfer API to query the transfer status.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 


Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is 20, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 

Request parameters

transferRequestId String  REQUIRED

The unique ID assigned by the merchant to identify a transfer request.

More information:

  • This field is an API idempotency field.
  • Maximum length: 64 characters

transferFromDetail Object  REQUIRED

Transfer details submitted by the payer.

Show child parameters

transferToDetail Object  REQUIRED

Transfer details for the beneficiary.

Show child parameters

Response parameters

result Object  REQUIRED

Indicates whether this API is called successfully. 

Show child parameters

transferRequestId String  

The unique ID assigned by a merchant to identify a transfer request.

Note: This field is returned on demand only when the value of result.resultStatus is S.

More information:

  • This field is an API idempotency field.
  • Maximum length: 64 characters

transferId String  

The unique ID assigned by Antom to identify a transfer.

Note: This field is returned on demand only when the value of result.resultStatus is S.

More information:

  • Maximum length: 64 characters

transferFromDetail Object  

Transfer details submitted by the payer.

Note: This field is returned on demand only when the value of result.resultStatus is S.

Show child parameters

transferToDetail Object  

Transfer details for the beneficiary, including the transfer amount received.

Note: This field is returned on demand only when the value of result.resultStatus is S.

Show child parameters
API Explorer

Request

URL
Method
POST
Request Body

Response

Response Body

Result/Error codes

CodeValueMessageFurther action
SUCCESSSsuccess.

 The API is called successfully, and no further action is needed.

PROCESSINGSThe transfer is in process.

The transfer is created successfully and being processed. Call the inquiryTransfer API for the transfer result.

PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, or an invalid date.

Check and verify whether the request fields, including the header fields and body fields, are correct and valid.
For details on the fields of each API, see the specific API Structure section.

PROCESS_FAILFA general business failure occurred. Do not retry.

Human intervention is usually needed. It is recommended that you contact Antom Technical Support to resolve the issue.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact Antom Technical Support.

REQUEST_TRAFFIC_EXCEED_LIMITUThe request traffic exceeds the limit.

Call the interface again to resolve the issue. If the issue persists, contact Antom Technical Support.

INVALID_APIFThe called API is invalid or not active.

Check whether the correct API is being called.

INVALID_CLIENTFThe client is invalid.

The Client ID does not exist or is invalid.

INVALID_SIGNATUREFThe signature is invalid.

Make sure the request is properly signed with a valid signature.

METHOD_NOT_SUPPORTEDFThe server does not implement the requested HTTP method.

Ensure the HTTP method is POST.

UN_SUPPORT_BUSINESSFUnsupported business.

Invalid parameters are used. Retry with the correct information.

USER_NO_PERMISSIONFUser does not have permission.

Retry with another user information.

CURRENCY_NOT_SUPPORTFThe currency is not supported.

Make sure the currency input is correct and try again.

USER_NOT_EXISTFThe user does not exist.

Retry with the correct user information.

USER_ACCOUNT_ABNORMALFThe user account status is abnormal.

Retry with a different user. If the issue persists, contact Antom Technical Support for more details.

REPEAT_REQ_INCONSISTENTFRepeated requests are inconsistent.

Ensure all the fields in the requests are the same and try again.

USER_STATUS_ABNORMALFThe status of the user is abnormal. Retry with another card.

The status of the user is abnormal. Retry with another transfer order.

BALANCE_NOT_ENOUGHFBalance is not enough.

Make sure the balance is sufficient and retry.

AMOUNT_EXCEED_LIMITFThe amount exceeds the limit.

Make sure the amount submitted is correct and retry.

CONTRACT_CHECK_FAILFThe contract check has failed.

Ensure the Partner has already signed a contract and the input is correct.

QUOTE_EXPIREDFThe quote is expired.

Call the createQuote API to create a new quote. Retry creating a new request with the new quote.